import { FoundationElement } from '@microsoft/fast-foundation';
import { Position } from './multiselect-consts';
export declare const foundationMultiselectShadowOptions: ShadowRootInit;
export declare const defaultMultiselectConfig: {};
/**
 * @tagname %%prefix%%-multiselect
 */
export declare class Multiselect extends FoundationElement {
    name: string;
    all: boolean;
    allSelected: boolean;
    search: boolean;
    defaultSlottedNodes: Node[];
    private clickOutside;
    open: boolean;
    openChanged(previous: boolean, open: boolean): void;
    options: string[];
    selectedOptions: string[];
    filteredAvailableOptions: string[];
    scrollContainer: HTMLElement;
    position: Position;
    onAllSelectedCallback: (allSelected: boolean) => void;
    private initialisedOptions;
    arrowIcon: SVGElement;
    optionsElement: HTMLElement;
    connectedCallback(): void;
    disconnectedCallback(): void;
    optionsChanged(): void;
    selectedOptionsChanged(): void;
    toggle(): void;
    setDropdownPosition(): void;
    get getDisplayValue(): string;
    get getPlaceholder(): string;
    get isAllSelected(): boolean;
    isOptionSelected(normalizedOption: string): boolean;
    selectCheckboxOne(normalizedOption: string): void;
    selectCheckboxAll(): void;
    setFilter(event: InputEvent): void;
    changeHandler(event: Event): void;
    private handleClickOutside;
}
export declare const foundationMultiselect: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<Multiselect, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<Multiselect, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}, typeof Multiselect>;
//# sourceMappingURL=multiselect.d.ts.map